/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：Java 信息安全性设计准则
 * 项目描述：用于检查Java源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */
package com.keyware.sonar.java.rules.checkers;

import com.keyware.sonar.java.utils.FilesUtils;
import org.junit.jupiter.api.Test;
import org.sonar.java.checks.verifier.CheckVerifier;

/**
 * TODO ABCVarNameCheckerTest
 *
 * @author GuoXin
 * @date 2024/1/6
 */
public class ABCVarNameCheckerTest {
    @Test
    void detected() {


        ABCVarNameChecker rule = new ABCVarNameChecker();


        // 验证检查是否会按预期检测到样例代码中预定的问题
        // 在测试样例文件中，问题所在行必须使用单行注释声明，如: "// Noncompliant {{EXPECTED_MESSAGE}}"
        CheckVerifier.newVerifier()
                .onFile("src/test/files/ABCVarNameRule.java")
                .withCheck(rule)
                .withClassPath(FilesUtils.getClassPath("target/test-jars"))
                .verifyIssues();
    }
}
